<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<f:metadata>
    <f:viewParam name="id" value="#{mbArticle.sousCatSelect}"></f:viewParam>
    <f:event listener="#{mbArticle.init()}" type="preRenderView"/>
    <f:event listener="#{mbcommande.init()}" type="preRenderView"/>
    <f:viewAction action="#{mbcommande.init()}"></f:viewAction>
</f:metadata>

<ui:composition template="/arche/arche.xhtml">
    <ui:define name="content">
        <b:jumbotron>
            <b:container>
                <b:row>
                    <b:column span="8">
                        <h1><small style="size: 10px">#{mbArticle.sousCatS}</small></h1>
                    </b:column>
                    <b:column span="4">
                        <div align="right">
                            <h1>
                                <small><h:outputFormat rendered="#{mbArticle.allArticleById.size()>1}"
                                                       value="#{mbArticle.allArticleById.size()} résultats"/></small>
                                <small><h:outputFormat rendered="#{mbArticle.allArticleById.size()==1}"
                                                       value="#{mbArticle.allArticleById.size()} résultat"/></small>
                            </h1>
                        </div>
                    </b:column>
                </b:row>
            </b:container>
        </b:jumbotron>
        <h:form>
            <b:dataTable value="#{mbArticle.allArticleById}" var="article" select="false">
                <b:dataTableColumn width="30%" label="Articles">
                    <b:column col-md="6">
                        <img src="../img/#{article.nomImage}" alt="photo" height="120px"/>
                    </b:column>
                    <b:column col-md="6">
                        <h4>#{article.nom}</h4>
                        <span>
                                    <h:outputText value="#{article.prix}" styleClass="prix">
                                        <f:convertNumber currencySymbol="€" type="currency"/>
                                    </h:outputText>
                                </span>
                        <p>
                            <b:commandLink href="/AppWeb/faces/article/articleDetail.xhtml?id=#{article.id}"
                                           value="Détails" size="xs">
                            </b:commandLink>
                        </p>
                    </b:column>
                </b:dataTableColumn>

                <b:dataTableColumn width="50%" label="Description">
                    <p>
                        <small style="text-align: justify">#{article.description}</small>
                    </p>
                </b:dataTableColumn>

                <b:dataTableColumn label="Action" width="20%">
                    <b:row>
                        <b:touchSpin label="Quantité" value="#{article.quantite}" min="0" max="200" span="7"
                                     offset="5"></b:touchSpin></b:row>
                    <b:row>
                        <br/>
                        <b:commandButton action="#{mbArticle.addCommande(article.id, article.quantite)}"
                                         icon="shopping-cart" look="success" size="md"
                                         value="Ajouter"
                                         tabindex="0"
                                         data-toggle="popover" data-trigger="focus"
                                         title="Vous devez vous connecter pour ajouter des articles dans votre panier"
                                         span="7" offset="5" onclick="ajax:ajaxBean.onClick()"
                                         update="connexionFormMaster">
                        </b:commandButton>
                    </b:row>
                </b:dataTableColumn>
            </b:dataTable>
        </h:form>
        <b:row>
            <h:form>
                <b:link value="Retour" href="javascript:history.go(-1)"
                        styleClass="btn btn-primary" size="sm"/>
            </h:form>
        </b:row>
    </ui:define>
</ui:composition>
</html>